CacheStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class CacheStats

    java.lang.Object
      com.sleepycat.db.CacheStats

    public class CacheStats

extends Object

Cache statistics for a database environment.

Method Summary
`long` | `getAlloc()` TODO
`long` | `getAllocBuckets()` TODO
`long` | `getAllocMaxBuckets()` TODO
`long` | `getAllocMaxPages()` TODO
`long` | `getAllocPages()` TODO
`int` | `getBytes()` TODO
`long` | `getCacheHit()` TODO
`long` | `getCacheMiss()` TODO
`int` | `getGbytes()` TODO
`int` | `getHashBuckets()` TODO
`long` | `getHashExamined()` TODO
`int` | `getHashLongest()` TODO
`long` | `getHashMaxNowait()` TODO
`long` | `getHashMaxWait()` TODO
`long` | `getHashNowait()` TODO
`int` | `getHashSearches()` TODO
`long` | `getHashWait()` TODO
`long` | `getIoWait()` TODO
`int` | `getMap()` TODO
`int` | `getMaxNumCache()` TODO
`int` | `getMaxOpenfd()` TODO
`int` | `getMaxWrite()` TODO
`int` | `getMaxWriteSleep()` TODO
`int` | `getMmapSize()` TODO
`long` | `getMultiversionFreed()` TODO
`long` | `getMultiversionFrozen()` TODO
`long` | `getMultiversionThawed()` TODO
`int` | `getNumCache()` TODO
`int` | `getPageClean()` TODO
`long` | `getPageCreate()` TODO
`int` | `getPageDirty()` TODO
`long` | `getPageIn()` TODO
`long` | `getPageOut()` TODO
`int` | `getPages()` TODO
`int` | `getPageSize()` TODO
`long` | `getPageTrickle()` TODO
`long` | `getRegionNowait()` TODO
`long` | `getRegionWait()` TODO
`int` | `getRegSize()` TODO
`long` | `getRoEvict()` TODO
`long` | `getRwEvict()` TODO
`long` | `getSyncInterrupted()` TODO
`String` | `toString()` For convenience, the CacheStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getGbytes

    public int getGbytes()

  TODO

### getBytes

    public int getBytes()

  TODO

### getNumCache

    public int getNumCache()

  TODO

### getMaxNumCache

    public int getMaxNumCache()

  TODO

### getMmapSize

    public int getMmapSize()

  TODO

### getMaxOpenfd

    public int getMaxOpenfd()

  TODO

### getMaxWrite

    public int getMaxWrite()

  TODO

### getMaxWriteSleep

    public int getMaxWriteSleep()

  TODO

### getPages

    public int getPages()

  TODO

### getMap

    public int getMap()

  TODO

### getCacheHit

    public long getCacheHit()

  TODO

### getCacheMiss

    public long getCacheMiss()

  TODO

### getPageCreate

    public long getPageCreate()

  TODO

### getPageIn

    public long getPageIn()

  TODO

### getPageOut

    public long getPageOut()

  TODO

### getRoEvict

    public long getRoEvict()

  TODO

### getRwEvict

    public long getRwEvict()

  TODO

### getPageTrickle

    public long getPageTrickle()

  TODO

### getPageClean

    public int getPageClean()

  TODO

### getPageDirty

    public int getPageDirty()

  TODO

### getHashBuckets

    public int getHashBuckets()

  TODO

### getPageSize

    public int getPageSize()

  TODO

### getHashSearches

    public int getHashSearches()

  TODO

### getHashLongest

    public int getHashLongest()

  TODO

### getHashExamined

    public long getHashExamined()

  TODO

### getHashNowait

    public long getHashNowait()

  TODO

### getHashWait

    public long getHashWait()

  TODO

### getHashMaxNowait

    public long getHashMaxNowait()

  TODO

### getHashMaxWait

    public long getHashMaxWait()

  TODO

### getRegionNowait

    public long getRegionNowait()

  TODO

### getRegionWait

    public long getRegionWait()

  TODO

### getMultiversionFrozen

    public long getMultiversionFrozen()

  TODO

### getMultiversionThawed

    public long getMultiversionThawed()

  TODO

### getMultiversionFreed

    public long getMultiversionFreed()

  TODO

### getAlloc

    public long getAlloc()

  TODO

### getAllocBuckets

    public long getAllocBuckets()

  TODO

### getAllocMaxBuckets

    public long getAllocMaxBuckets()

  TODO

### getAllocPages

    public long getAllocPages()

  TODO

### getAllocMaxPages

    public long getAllocMaxPages()

  TODO

### getIoWait

    public long getIoWait()

  TODO

### getSyncInterrupted

    public long getSyncInterrupted()

  TODO

### getRegSize

    public int getRegSize()

  TODO

### toString

    public String toString()

  For convenience, the CacheStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.